## ros-noetic-parameter-pa 1.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(parameter_pa)

find_package(catkin REQUIRED COMPONENTS
  cmake_modules
  roscpp
  roslib

  message_generation
)

find_package(Eigen3 REQUIRED)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Eigen_INCLUDE_DIRS}
)

add_service_files(
  FILES
    ParameterPaString.srv
)
generate_messages(
  DEPENDENCIES
)

catkin_package(
  INCLUDE_DIRS
    include

  CATKIN_DEPENDS
    cmake_modules
    roscpp
    roslib

    message_runtime

  LIBRARIES
    ${PROJECT_NAME}
)

### exported libraries
add_library(${PROJECT_NAME}
  src/${PROJECT_NAME}_ros.cpp
)
add_dependencies(${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS}
)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

### simple node
add_executable(${PROJECT_NAME}_node
  src/${PROJECT_NAME}_node.cpp
)
add_dependencies(${PROJECT_NAME}_node
  ${catkin_EXPORTED_TARGETS}
  ${PROJECT_NAME}
  ${PROJECT_NAME}_generate_messages_cpp
  ${PROJECT_NAME}_gencpp
)
target_link_libraries(${PROJECT_NAME}_node
  ${catkin_LIBRARIES}
  ${PROJECT_NAME}
)

## Install ##
install(
  TARGETS
    ${PROJECT_NAME}
    ${PROJECT_NAME}_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  FILES_MATCHING PATTERN "*.launch"
)

=== Makefile ===
###############################################################################
#                                                                             #
# Makefile                                                                    #
# ========                                                                    #
#                                                                             #
###############################################################################
#                                                                             #
# github repository                                                           #
#   https://github.com/TUC-ProAut/ros_parameter                               #
#                                                                             #
# Chair of Automation Technology, Technische Universität Chemnitz             #
#   https://www.tu-chemnitz.de/etit/proaut                                    #
#                                                                             #
###############################################################################
#                                                                             #
# New BSD License                                                             #
#                                                                             #
# Copyright (c) 2015-2021, Peter Weissig, Technische Universität Chemnitz     #
# All rights reserved.                                                        #
#                                                                             #
# Redistribution and use in source and binary forms, with or without          #
# modification, are permitted provided that the following conditions are met: #
#     * Redistributions of source code must retain the above copyright        #
#       notice, this list of conditions and the following disclaimer.         #
#     * Redistributions in binary form must reproduce the above copyright     #
#       notice, this list of conditions and the following disclaimer in the   #
#       documentation and/or other materials provided with the distribution.  #
#     * Neither the name of the Technische Universität Chemnitz nor the       #
#       names of its contributors may be used to endorse or promote products  #
#       derived from this software without specific prior written permission. #
#                                                                             #
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" #
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE   #
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE  #
# ARE DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> BE LIABLE FOR ANY      #
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES  #
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR          #
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER  #
# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT          #
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY   #
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH #
# DAMAGE.                                                                     #
#                                                                             #
###############################################################################


NAME_GIT_THIS=parameter

.PHONY : update status pull push

update: pull

status:
	@echo ""
	@echo "### status of $(NAME_GIT_THIS) ###"
	@git status --untracked-files

pull:
	@echo ""
	@echo "### pulling $(NAME_GIT_THIS) ###"
	@git pull

push:
	@echo ""
	@echo "### pushing $(NAME_GIT_THIS) ###"
	@git push

=== debian/changelog ===
ros-noetic-parameter-pa (1.2.3-2focal) focal; urgency=high

  * bumped cmake Version to 3.0.2 to avoid CMP0048
  * Contributors: Peter Weissig

 -- Peter Weissig <wepet@hrz.tu-chemnitz.de>  Mon, 07 Jun 2021 22:00:00 -0000

ros-noetic-parameter-pa (1.2.2-2focal) focal; urgency=high

  * updated documentation
    + updated README.md
    + added rosdoc.yaml
    + removed doxygen.h
  * updated year of copyright
  * updated gitignore-file
  * updated files to new repository (only changed documentation and license)
    moved from github.com/peterweissig/ros_parameter to github.com/TUC-ProAut/ros_parameter
  * Contributors: Peter Weissig

 -- Peter Weissig <wepet@hrz.tu-chemnitz.de>  Mon, 07 Jun 2021 22:00:00 -0000

ros-noetic-parameter-pa (1.2.1-2focal) focal; urgency=high

  * bugfixed loadTopic (loaded topic was not resolved)
  * bugfixed documentation (some typos)
  * Contributors: Peter Weissig

 -- Peter Weissig <wepet@hrz.tu-chemnitz.de>  Wed, 13 Dec 2017 23:00:00 -0000

ros-noetic-parameter-pa (1.2.0-2focal) focal; urgency=high

  * removed unnecessary headers
  * bugfixed include of xmlrpcpp
    (before kinetic those files were not related to a package)
  * update README.md
    bugfixed formatting (missing blanc line before table)
  * added new features ("./" and "../" within ressource names)
    added visual studio code config files (for ros kinetic)
    updated documentation
  * Contributors: Peter Weissig

 -- Peter Weissig <wepet@hrz.tu-chemnitz.de>  Sun, 10 Dec 2017 23:00:00 -0000

ros-noetic-parameter-pa (1.1.0-2focal) focal; urgency=high

  * moved header from include/ to include/${project_name}
    also fixed related paths
  * Contributors: Peter Weissig

 -- Peter Weissig <wepet@hrz.tu-chemnitz.de>  Mon, 31 Jul 2017 22:00:00 -0000

ros-noetic-parameter-pa (1.0.2-2focal) focal; urgency=high

  * updated year within license
  * updated version number
  * added install target to CMakeLists.txt
  * Contributors: Peter Weissig

 -- Peter Weissig <wepet@hrz.tu-chemnitz.de>  Sun, 30 Jul 2017 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-parameter-pa
Section: misc
Priority: optional
Maintainer: Peter Weissig <wepet@hrz.tu-chemnitz.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-message-generation, ros-noetic-roscpp, ros-noetic-roslib
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-parameter-pa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-noetic-cmake-modules, ros-noetic-message-runtime, ros-noetic-roscpp, ros-noetic-roslib
Description: ProAut parameter package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-parameter-pa//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
